package com.fs.wx.sop.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.wx.sop.domain.WxSopUser;

/**
 * 个微营期Service接口
 * 
 * @author 吴树波
 * @date 2026-02-24
 */
public interface IWxSopUserService extends IService<WxSopUser>{
    /**
     * 查询个微营期
     * 
     * @param id 个微营期主键
     * @return 个微营期
     */
    WxSopUser selectWxSopUserById(Long id);

    /**
     * 查询个微营期列表
     * 
     * @param wxSopUser 个微营期
     * @return 个微营期集合
     */
    List<WxSopUser> selectWxSopUserList(WxSopUser wxSopUser);

    /**
     * 新增个微营期
     * 
     * @param wxSopUser 个微营期
     * @return 结果
     */
    int insertWxSopUser(WxSopUser wxSopUser);

    /**
     * 修改个微营期
     * 
     * @param wxSopUser 个微营期
     * @return 结果
     */
    int updateWxSopUser(WxSopUser wxSopUser);

    /**
     * 批量删除个微营期
     * 
     * @param ids 需要删除的个微营期主键集合
     * @return 结果
     */
    int deleteWxSopUserByIds(Long[] ids);

    /**
     * 删除个微营期信息
     * 
     * @param id 个微营期主键
     * @return 结果
     */
    int deleteWxSopUserById(Long id);
}
